Skip to main content
GET
/
v1
/
workflows
/
versions
/
diff
diff = client.workflows.list_diff(
    workflow_id="wrk_abc123",
    from_workflow_version_id="ver_old",
    to_workflow_version_id="ver_new",
)
{
  "from_workflow_version_id": "<string>",
  "to_workflow_version_id": "<string>",
  "added_block_ids": [],
  "removed_block_ids": [],
  "changed_block_ids": [],
  "added_edge_ids": [],
  "removed_edge_ids": [],
  "changed_edge_ids": []
}

Documentation Index

Fetch the complete documentation index at: https://docs.retab.com/llms.txt

Use this file to discover all available pages before exploring further.

Compare two immutable workflow graph versions from the same workflow. The response lists added, removed, and changed block and edge IDs. Fetch the individual block or edge versions when you need field-level detail.
diff = client.workflows.list_diff(
    workflow_id="wrk_abc123",
    from_workflow_version_id="ver_old",
    to_workflow_version_id="ver_new",
)

Authorizations

Api-Key
string
header
required

Query Parameters

workflow_id
string
required

Workflow whose versions to diff

from_workflow_version_id
string
required

Base workflow version ID

to_workflow_version_id
string
required

Target workflow version ID

Response

Successful Response

from_workflow_version_id
string
required
to_workflow_version_id
string
required
added_block_ids
string[]
removed_block_ids
string[]
changed_block_ids
string[]
added_edge_ids
string[]
removed_edge_ids
string[]
changed_edge_ids
string[]